# Google Map

## Description:

Google Map

Google Map is a component that provides detailed information about geographical regions and sites around the world.

### Allowed Parent Components:

1. Card Body
2. Col
3. Grid Child
4. Horizontal Section
5. Vertical Section

### Allowed Child Components:

1. InfoWindow
2. Pulse
3. Trigger Before Render
4. Trigger On Click

### Properties

### ➤ Show Fullscreen Control

Check this to enable full screen option.

Allowed Values: Yes/No

### ➤ Show Rotate Control

Check this to enable rotate option.

Allowed Values: Yes/No

### ➤ Show Scale Control

Check this to enable scale option.

Allowed Values: Yes/No

### ➤ Show Street View Control

Check this to enable street view option.

Allowed Values: Yes/No

### ➤ Show Map Type Control

Check this to enable map type option.

Allowed Values: Yes/No

### ➤ Show Zoom Control

Check this to enable zoom option.

Allowed Values: Yes/No

### ➤ Zoom On Scroll Wheel

Check this to enable zoom on scroll option.

Allowed Values: Yes/No

### ➤ Show Clusters

Check this to enable clusters view.

Allowed Values: Yes/No

### ➤ Grid Size

Provide a numeric value to set the grid size.

Allowed Values: Any number value

### ➤ Min Cluster Size

Provide a numeric value to set the cluster size.

Allowed Values: Any number value

### ➤ Default Zoom Level

Provide a numeric value to set the zoom level.

Allowed Values: Any number value

### ➤ Max Zoom

Provide a numeric value to set maximum zoom level.

Allowed Values: Any number value

### ➤ Min Zoom

Provide a numeric value to set minimum zoom level.

Allowed Values: Any number value

### ➤ Tilt Angle

Provide a numeric value to control the automatic switching behavior for the angle of incidence of the map. The only allowed values are 0 and 45.

Allowed Values: Any number value

### ➤ Reference Latitude

Provide reference Latitude where latitude is the angular distance between an imaginary line around a heavenly body parallel to its equator and the equator itself.

Allowed Values: Any number value

### ➤ Reference Longitude

Provide a reference Longitude where longitude is a measurement of distance, given in degrees east or west of the prime meridian.

Allowed Values: Any number value

### ➤ Height

Provide a numeric value to set the height of the component in pixels.

Allowed Values: Any number value

### ➤ Width

Provide a numeric value to set the width of the component in pixels.

Allowed Values: Any number value

### ➤ Src

Allowed Values: Free text field

### ➤ Marker Icon Height

Marker sizes are expressed as a Size of Y where the origin of the image (0,0) is located in the top left of the image.

Allowed Values: Any number value

### ➤ Marker Icon Width

Marker sizes are expressed as a Size of X where the origin of the image (0,0) is located in the top left of the image.

Allowed Values: Any number value

### ➤ Marker Icon Origin X

Origin positions and coordinates of the marker increase in the X direction to the right where the origin of the image (0,0) is located in the top left of the image.

Allowed Values: Any number value

### ➤ Marker Icon Origin Y

Origin positions and coordinates of the marker increase in the Y direction down where the origin of the image (0,0) is located in the top left of the image.

Allowed Values: Any number value

### ➤ Use Existing Data Source

Choose this prop if you want to reuse a Data Source that was defined on some other component on this page or any of the parent abstract pages.

Allowed Values: Yes/No

### ➤ Data Source

Select a datasource from the list.

Allowed Values: Select a datasource from the list.

### ➤ Data Source Alias

Allowed Values: Free text field

### ➤ Default Where Clause

Allowed Values: Free text field

### ➤ Max Rows

Allowed Values: Any number value

### ➤ Order By Clause

e.g. #firstAttr#, #secondAttr# DESC

Allowed Values: Free text field

### ➤ Auto Query

Check this property to query the selected datasource on component render.

Allowed Values: Yes/No

### ➤ Execute Count SQL

Check this to execute count SQL to get the total number of rows in the database on a query. You can get this value by using the expression: #{DataStore.totalLength}

Allowed Values: Yes/No

### ➤ Execute Distinct SQL

Check this to execute distinct SQL to get the total number of distinct rows in the database on a query.

Allowed Values: Yes/No

### ➤ Key Attribute

It is the primary key field in the current data source.

Allowed Values: It is the primary key field in the current data source.

### ➤ Marker Label Attribute

Provide an attribute which contains the label.

Allowed Values: Provide an attribute which contains the label.

### ➤ Latitude Attribute

Provide an attribute which contains the latitude value.

Allowed Values: Provide an attribute which contains the latitude value.

### ➤ Longitude Attribute

Provide an attribute which contains the longitude value.

Allowed Values: Provide an attribute which contains the longitude value.

### ➤ Value Attribute

Provide an attribute which contains the value

Allowed Values: Provide an attribute which contains the value

### ➤ Marker Icon Attribute

Provide an attribute which contains the icon.

Allowed Values: Provide an attribute which contains the icon.

### ➤ Function

Select a function to do arithmetic operations on data.

Allowed Values:

1. SUM
2. COUNT
3. AVG
4. MAX
5. MIN

### ➤ On Click

Allowed Values: Controller Function


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/googlemap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
